Package org.apache.wiki.plugin

# Class Groups

java.lang.Object
org.apache.wiki.plugin.Groups

All Implemented Interfaces:
  `org.apache.wiki.api.plugin.Plugin`

public class Groups extends Object implements org.apache.wiki.api.plugin.Plugin

Prints the groups managed by this wiki, separated by commas.
The groups are sorted in ascending order, and are hyperlinked to the page that displays the group's members.

Parameters :

NONE

Since:
  2.4.19

## Field Summary

### Fields inherited from interface org.apache.wiki.api.plugin.Plugin

`CORE_PLUGINS_RESOURCEBUNDLE`

## Constructor Summary

Constructors
Constructor
Description
`Groups()`

## Method Summary

Modifier and Type
Method
Description
`String`
`execute(org.apache.wiki.api.core.Context context, Map<String,String> params)`
`String`
`getDisplayName(Locale locale)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.wiki.api.plugin.Plugin

`getSnipExample`

## Constructor Details

### Groups

public Groups()

## Method Details

### getDisplayName

public String getDisplayName(Locale locale)

Specified by:
  `getDisplayName` in interface `org.apache.wiki.api.plugin.Plugin`

### execute

public String execute(org.apache.wiki.api.core.Context context, Map<String,String> params) throws org.apache.wiki.api.exceptions.PluginException

Specified by:
  `execute` in interface `org.apache.wiki.api.plugin.Plugin`
Throws:
  `org.apache.wiki.api.exceptions.PluginException`